Package ghidra.app.util.headless

# Enum Class HeadlessScript.HeadlessContinuationOption

java.lang.Object
java.lang.Enum<HeadlessScript.HeadlessContinuationOption>
ghidra.app.util.headless.HeadlessScript.HeadlessContinuationOption

All Implemented Interfaces:
  `Serializable`, `Comparable<HeadlessScript.HeadlessContinuationOption>`, `Constable`

Enclosing class:
  HeadlessScript

public static enum HeadlessScript.HeadlessContinuationOption extends Enum<HeadlessScript.HeadlessContinuationOption>
Options for controlling disposition of program after the current script completes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORT`
  Abort any scripts or analysis that come after this script; `-import` mode does save program (but it may not be processed completely), `-process` mode completes normally, minus scripts or analysis that runs after the ABORT request.
  `ABORT_AND_DELETE`
  Abort any scripts or analysis that come after this script; `-import` mode does not save program, `-process` mode deletes program.
  `CONTINUE`
  Continue running scripts and/or analysis; `-import` and `-process` modes complete normally.
  `CONTINUE_THEN_DELETE`
  Continue running scripts and/or analysis; `-import` mode does not save program, `-process` mode deletes program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HeadlessScript.HeadlessContinuationOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HeadlessScript.HeadlessContinuationOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUE

    public static final HeadlessScript.HeadlessContinuationOption CONTINUE
    Continue running scripts and/or analysis; `-import` and `-process` modes complete normally.

  - ### CONTINUE_THEN_DELETE

    public static final HeadlessScript.HeadlessContinuationOption CONTINUE_THEN_DELETE
    Continue running scripts and/or analysis; `-import` mode does not save program, `-process` mode deletes program.

  - ### ABORT_AND_DELETE

    public static final HeadlessScript.HeadlessContinuationOption ABORT_AND_DELETE
    Abort any scripts or analysis that come after this script; `-import` mode does not save program, `-process` mode deletes program.

  - ### ABORT

    public static final HeadlessScript.HeadlessContinuationOption ABORT
    Abort any scripts or analysis that come after this script; `-import` mode does save program (but it may not be processed completely), `-process` mode completes normally, minus scripts or analysis that runs after the ABORT request.

- ## Method Details

  - ### values

    public static HeadlessScript.HeadlessContinuationOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HeadlessScript.HeadlessContinuationOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null